%define xsetup_level 60

Summary:	Live installer
Name:		draklive-install
Version:	2.33
Release:	%mkrel 2
License:	GPL
Group:		System/Configuration
Url:		https://gitweb.mageia.org/software/draklive-install/
Source0:	https://gitweb.mageia.org/software/draklive-install/snapshot/%{name}-%{version}.tar.xz
BuildArch:      noarch
Requires:	drakxtools >= 16.97
Requires:	drakx-installer-matchbox
Requires:	udisks2
Requires:	dracut >= 034-8
BuildRequires:	intltool

%description
This tool allows to install %{_vendor} from a running live system.


%prep
%autosetup -p1

%build
%make_build

%install
%makeinstall

# Prevent the executable permissions being removed from .desktop files.
# Plasma will complain about untrusted applications if they are.
%global __brp_mangle_shebangs_exclude_from ^%{_datadir}/dist/desktop-files/.*/%{name}.desktop$

for product in default; do
  install -D -m 0755 %{name}.desktop %{buildroot}%{_datadir}/dist/desktop-files/$product/%{name}.desktop
done
install -D -m 0755 %{name} %{buildroot}%{_sbindir}/%{name}
install -m 0755 %{name}-lock-storage %{buildroot}%{_sbindir}/
install -D -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}

install -D -m 0644 org.mageia.%{name}.policy %{buildroot}%{_datadir}/polkit-1/actions/org.mageia.%{name}.policy
install -m 0644 org.mageia.%{name}-lock-storage.policy %{buildroot}%{_datadir}/polkit-1/actions/org.mageia.%{name}-lock-storage.policy

mkdir -p %{buildroot}{%_miconsdir,%_iconsdir,%_liconsdir,%_menudir,%_datadir/libDrakX/pixmaps/,%_datadir/applications,%_datadir/icons/hicolor/{16x16,32x32,48x48,64x64}/apps}
install data/icons/IC-installLive-48.png %{buildroot}%_liconsdir/%name.png
install data/icons/IC-installLive-32.png %{buildroot}%_iconsdir/%name.png
install data/icons/IC-installLive-16.png %{buildroot}%_miconsdir/%name.png
cp -l data/icons/IC-installLive-64.png %{buildroot}%_datadir/icons/hicolor/64x64/apps/%name.png
cp -l %{buildroot}%_liconsdir/%name.png %{buildroot}%_datadir/icons/hicolor/48x48/apps/%name.png
cp -l %{buildroot}%_liconsdir/%name.png %{buildroot}%_datadir/icons/hicolor/32x32/apps/%name.png
cp -l %{buildroot}%_liconsdir/%name.png %{buildroot}%_datadir/icons/hicolor/16x16/apps/%name.png
install data/icons/MageiaLive-*.png %{buildroot}%_datadir/libDrakX/pixmaps/
install -m 0644 mageia-draklive-install.desktop %{buildroot}%_datadir/applications/
install -D -m 0755 %{name}.xsetup %{buildroot}%_sysconfdir/X11/xsetup.d/%{xsetup_level}%{name}.xsetup

%find_lang %{name}

%files -f %{name}.lang
%{_sbindir}/%{name}
%{_sbindir}/%{name}-lock-storage
%{_bindir}/%{name}
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/dist/desktop-files/*/*.desktop
%{_datadir}/applications/%{_real_vendor}-draklive-install.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/libDrakX/pixmaps/MageiaLive-*.png
%{_sysconfdir}/X11/xsetup.d/??%{name}.xsetup
%dir %{_sysconfdir}/%{name}.d
%dir %{_sysconfdir}/%{name}.d/sysconfig


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.33-2.mga10
+ Revision: 2218484
- Mageia 10 Mass Rebuild

* Tue Jun 20 2023 daviddavid <daviddavid> 2.33-1.mga9
+ Revision: 1962663
- better look of Mageia Live Install image

* Mon Apr 17 2023 martinw <martinw> 2.32-1.mga9
+ Revision: 1953508
- new artwork for Mageia 9

* Sat Dec 03 2022 martinw <martinw> 2.31-1.mga9
+ Revision: 1916078
- allow user to specify a specific mirror and downloader when applying
  updates at the end of installation
- call mygtk3::flush() more frequently whilst copying the filesystem,
  to make the main window more responsive to window events
- use run_program::get_stdout to calculate installed size, to
  allow us to respond to check-alive pings whilst waiting
- install callback routine to handle window events whilst waiting
  for sub-programs to terminate (mga#31105)

* Wed Mar 23 2022 umeabot <umeabot> 2.30-2.mga9
+ Revision: 1820546
- Mageia 9 Mass Rebuild

* Mon Feb 15 2021 martinw <martinw> 2.30-1.mga8
+ Revision: 1675400
- on systems with low RAM, remove unwanted packages after install (mga#27872)
- translation update

* Wed Jan 27 2021 martinw <martinw> 2.29-1.mga8
+ Revision: 1673644
- revert generate report.bug.xz on exit

* Tue Jan 26 2021 martinw <martinw> 2.28-1.mga8
+ Revision: 1673531
- generate report.bug.xz on exit

* Mon Jan 11 2021 schultz <schultz> 2.27-1.mga8
+ Revision: 1671168
- 2.27
- artwork for mga8

* Mon Dec 07 2020 martinw <martinw> 2.26-1.mga8
+ Revision: 1654195
- fix X connection failure under GNOME/Xwayland
- disable timeout when running gurpmi2 to install updates
- translation updates

* Mon Jun 08 2020 martinw <martinw> 2.25-1.mga8
+ Revision: 1590970
- add option to install updates
- translation updates

* Mon Mar 23 2020 martinw <martinw> 2.24-1.mga8
+ Revision: 1559166
- record installer log messages and store in /root/drakx
- translation updates

* Sat Feb 15 2020 umeabot <umeabot> 2.23-2.mga8
+ Revision: 1526660
- Mageia 8 Mass Rebuild

* Mon Jun 17 2019 martinw <martinw> 2.23-1.mga7
+ Revision: 1400185
- remove dependency on udisks (mga#24949)

* Sun May 12 2019 schultz <schultz> 2.22-1.mga7
+ Revision: 1397503
- 2.22
-New artwork for Mga7

* Sat Feb 16 2019 martinw <martinw> 2.21-1.mga7
+ Revision: 1367578
- fix removal of live device from detected HDs

* Sat Jan 26 2019 martinw <martinw> 2.20-1.mga7
+ Revision: 1361036
- signal to the dracut shutdown script that the Live medium should be ejected

* Sat Jan 05 2019 martinw <martinw> 2.19-1.mga7
+ Revision: 1349677
- remove unused locales and drivers from source if not persistent

* Thu Jan 03 2019 martinw <martinw> 2.18-1.mga7
+ Revision: 1348918
- create /media in the installed system (mga#24097)
- remove orphans after removing unwanted locales / hardware support
- translation updates

* Tue Nov 27 2018 martinw <martinw> 2.17-1.mga7
+ Revision: 1335770
- force regeneration of initrd in installed system

* Sun Nov 25 2018 martinw <martinw> 2.16-2.mga7
+ Revision: 1334053
- fix permissions on .desktop files

* Sat Nov 03 2018 martinw <martinw> 2.16-1.mga7
+ Revision: 1327791
- avoid creating unwanted mount points in live system
- avoid copying inactive mount points
- increase window size when display size is > 800x600 (mga#23435)
- revert to rebooting after completing install from boot menu
- locate live medium from /run/mgalive/basedev instead of from disk label
- only remove unused locales and drivers from installed system
- ensure partitioning wizard knows devices have been unmounted (mga#23063)
- disable screensaver/lock whilst installer is running
- translation updates

* Thu Sep 20 2018 umeabot <umeabot> 2.15-2.mga7
+ Revision: 1278045
- Mageia 7 Mass Rebuild

* Wed May 23 2018 martinw <martinw> 2.15-1.mga7
+ Revision: 1231945
- revised template for matching live media disk labels
- translation updates

* Sat May 06 2017 martinw <martinw> 2.14-1.mga6
+ Revision: 1099263
- shutdown instead of reboot after completing install from boot menu
- display message whilst preparing the initial RAM disk

* Wed May 03 2017 akien <akien> 2.13-1.mga6
+ Revision: 1098941
- Proper 2.13 tarball from git
+ schultz <schultz>
- 2.13
- Mageia 6 install images

* Mon Apr 17 2017 martinw <martinw> 2.12-1.mga6
+ Revision: 1096605
- avoid out-of-memory error at end of install.
- fix removing Live device from the detected hds.

* Tue Apr 04 2017 akien <akien> 2.11-1.mga6
+ Revision: 1095912
- try to ensure kernel is informed of partition table changes (mga#20619).

* Sun Feb 12 2017 martinw <martinw> 2.10-1.mga6
+ Revision: 1085855
- ensure all selected devices are unmounted before partitioning (mga#20268)
- prevent udisks2-based auto-mounters operating during installation (mga#20247)

* Sat Jan 14 2017 martinw <martinw> 2.9-1.mga6
+ Revision: 1081639
- set a $::isLiveInstall variable for other drakx modules to use
- restore reboot in xsetup (for post-install reboot)

* Mon Dec 19 2016 martinw <martinw> 2.8-1.mga6
+ Revision: 1076170
- use polkit instead of consolehelper to gain root access
- drop useless reboot in xsetup

* Fri Mar 25 2016 ennael <ennael> 2.7-1.mga6
+ Revision: 995272
- New design (Animtim)

* Tue Feb 09 2016 umeabot <umeabot> 2.6-3.mga6
+ Revision: 952763
- Mageia 6 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 2.6-2.mga6
+ Revision: 930527
- Mageia 6 Mass Rebuild

* Thu May 28 2015 tmb <tmb> 2.6-1.mga5
+ Revision: 822789
- trigger gnome-reboot once after a non-live install too

* Mon May 18 2015 tv <tv> 2.5-1.mga5
+ Revision: 822241
- better reporting of insufficient space (mga#15257)

* Sat May 09 2015 tv <tv> 2.4-1.mga5
+ Revision: 821595
- fix loosing i18n settings on !live install (mga#15273)

* Mon Feb 09 2015 tmb <tmb> 2.3-1.mga5
+ Revision: 814382
- translation updates
- i18n: ensure preferred locale.conf is read (over sysconfig/i18n)

* Wed Dec 17 2014 akien <akien> 2.2-1.mga5
+ Revision: 803838
- 2.2: Mageia 5 artwork + translations

* Wed Oct 15 2014 umeabot <umeabot> 2.1-3.mga5
+ Revision: 742073
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1-2.mga5
+ Revision: 678839
- Mageia 5 Mass Rebuild

* Mon Jan 06 2014 tmb <tmb> 2.1-1.mga4
+ Revision: 564970
- Mageia 4 design
- translation updates

* Thu Nov 28 2013 tv <tv> 2.0-1.mga4
+ Revision: 553851
- switch from gtk2 to gtk3

* Sat Nov 09 2013 tmb <tmb> 1.40-1.mga4
+ Revision: 550113
- update url
- 1.40:
  - use 'Install on Hard Disk' in both desktop files for consistency
  - use the new /run/mgalive/ovlsize mountpoint to determine image size

* Sat Oct 19 2013 umeabot <umeabot> 1.39-2.mga4
+ Revision: 523436
- Mageia 4 Mass Rebuild

* Sun Apr 21 2013 tv <tv> 1.39-1.mga3
+ Revision: 410671
- ask to confirm exiting (mga#1812)

* Sat Apr 13 2013 tmb <tmb> 1.38-1.mga3
+ Revision: 409923
- Update live installer screens for Mageia 3

* Wed Jan 23 2013 fwang <fwang> 1.37-3.mga3
+ Revision: 391422
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 1.37-2.mga3
+ Revision: 349088
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 tv <tv> 1.37-1.mga3
+ Revision: 329717
- make sure progress bar doesn't go crazy when asked to update with
  the same fraction (migh help mga#7992)
- translation updates

* Sun Apr 22 2012 tmb <tmb> 1.36-1.mga2
+ Revision: 232662
- 1.36
- switch from hal to udisks
- drop P0 (merged)

* Mon Apr 16 2012 blino <blino> 1.35-3.mga2
+ Revision: 231055
- require hal for draklive-install-lock-storage

* Fri Apr 06 2012 tmb <tmb> 1.35-2.mga2
+ Revision: 228832
- fix breakage due to prepare_minimal_root() changes
+ kamil <kamil>
- new tarball 1.35
  * replace X-MandrivaLinux-CrossDesktop with X-Mageia-CrossDesktop (mga#2449)
- clean .spec a bit

* Thu May 26 2011 blino <blino> 1.34-1.mga1
+ Revision: 100401
- 1.34
- install default desktop file in /usr/share/dist/desktop-files/<product>/

* Sun May 22 2011 blino <blino> 1.33-1.mga1
+ Revision: 100127
- 1.33

* Sun May 15 2011 pterjan <pterjan> 1.32-3.mga1
+ Revision: 98976
- Rebuild for fixed find-requires

* Sun Apr 17 2011 blino <blino> 1.32-2.mga1
+ Revision: 87442
- install common desktop file for default product flavor

* Sun Apr 03 2011 blino <blino> 1.32-1.mga1
+ Revision: 80204
- 1.32 (use draklive-install as icon name)

* Fri Apr 01 2011 dmorgan <dmorgan> 1.31-1.mga1
+ Revision: 79522
- Fix typo
- Fix typo
- Add mageia cleaned version of draklive-install
+ blino <blino>
- imported package draklive-install


* Tue Feb 22 2011 Eugeni Dodonov <eugeni@mandriva.com> 1.30-1mdv2011.0
+ Revision: 639242
- 1.30:
- make remove_unused_packages a configurable option

* Wed Aug 25 2010 Olivier Blin <oblin@mandriva.com> 1.29-3mdv2011.0
+ Revision: 573329
- rebuild with new emi

* Fri Jul 02 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.29-2mdv2010.1
+ Revision: 549742
- don't install empty console helper file, but put meaningful data in it
  This should fix draklive-install not starting on GNOME Ones

* Wed Jun 02 2010 Pascal Terjan <pterjan@mandriva.org> 1.29-1mdv2010.1
+ Revision: 546941
- do not run makedev, needed devices are now copied before

* Wed May 26 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.28-1mdv2010.1
+ Revision: 546136
- 1.28
- use sligthly taller window for draklive-install so that diskdrake wizard
  isn't cut off

* Wed May 26 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.27-1mdv2010.1
+ Revision: 546068
- 1.27
- when starting install directly after boot, make sure we start
  draklive-install with the right locale set
- call set_wm_hints_if_needed to get correctly sized windows when running
  draklive-install directly after boot
- add 2010.1 ad

* Fri Apr 30 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.26-1mdv2010.1
+ Revision: 541290
- 1.26
- rename Live Install to Hard Disk Install
- add StartupNotify to draklive-install desktop files
- run scripts from /etc/draklive-install.d/run.d after install if cleanups
  are needed in the chrooted tree

* Wed Jan 13 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.25-1mdv2010.1
+ Revision: 490839
- add support for installation when source directory isn't /

* Wed Oct 28 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.23-1mdv2010.0
+ Revision: 459720
- 1.23:
- update advertising screen

* Mon Oct 12 2009 Olivier Blin <oblin@mandriva.com> 1.22-1mdv2010.0
+ Revision: 456865
- 1.22
- keep pre-configured desktop session

* Fri Oct 09 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.21-1mdv2010.0
+ Revision: 456369
- 1.21:
- don't set gettext domain too late (caused badly displayed accents when running draklive-install) (Thierry Vignaud)

* Mon Oct 05 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.20-1mdv2010.0
+ Revision: 454069
- 1.20:
- adjust to drakxtools changes wrt default display manager choice

* Thu Oct 01 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.19-1mdv2010.0
+ Revision: 452242
- 1.19:
- use lzma compression
- make sure pterjan's fix for partitioning is included

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.18-2mdv2010.0
+ Revision: 413381
- rebuild

* Fri Apr 24 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.18-1mdv2009.1
+ Revision: 368993
- 1.18:
  * translate draklive-install desktop files
  * use 2009.1 advertising

* Wed Apr 22 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.17-1mdv2009.1
+ Revision: 368680
- 1.17:
- correctly exclude live_device when booting from hybrid USB image

* Wed Apr 15 2009 Thierry Vignaud <tv@mandriva.org> 1.16.2-1mdv2009.1
+ Revision: 367388
- updated translations

* Mon Mar 30 2009 Thierry Vignaud <tv@mandriva.org> 1.16.1-1mdv2009.1
+ Revision: 362298
- updated translations

* Fri Nov 21 2008 Olivier Blin <oblin@mandriva.com> 1.16-1mdv2009.1
+ Revision: 305516
- 1.16
- do not hard re-enabled services list, read it from /etc/draklive-install.d/services

* Wed Oct 01 2008 Olivier Blin <oblin@mandriva.com> 1.15-1mdv2009.0
+ Revision: 290335
- use consolehelper to run draklive-install (and hal-lock as root)
- install desktop files in /usr/share/mdk/desktop instead of specific
  KDE/GNOME locations
- 1.15
- use draklive-install-lock-storage from /usr/bin in desktop files

* Tue Sep 23 2008 Olivier Blin <oblin@mandriva.com> 1.14-1mdv2009.0
+ Revision: 287516
- 1.14
- update advertising image

* Mon Sep 22 2008 Thierry Vignaud <tv@mandriva.org> 1.13.1-1mdv2009.0
+ Revision: 287022
- updated translations

* Wed Sep 17 2008 Frederic Crozat <fcrozat@mandriva.com> 1.13-2mdv2009.0
+ Revision: 285484
- Requires drakx-installer-matchbox

* Fri Sep 05 2008 Olivier Blin <oblin@mandriva.com> 1.13-1mdv2009.0
+ Revision: 281254
- 1.13
- use new drakxtools code to remove unused packages

* Mon Aug 18 2008 Olivier Blin <oblin@mandriva.com> 1.12-1mdv2009.0
+ Revision: 273391
- 1.12
- run remove-unselected-locales and remove-unused-hardware-packages
  before install

* Tue Jul 29 2008 Olivier Blin <oblin@mandriva.com> 1.11-1mdv2009.0
+ Revision: 252764
- 1.11
- appear toplevel of the "Tools" menu in KDE

* Fri Jul 11 2008 Olivier Blin <oblin@mandriva.com> 1.10-1mdv2009.0
+ Revision: 233705
- 1.10
- adapt kdm configuration to KDE4

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Jun 02 2008 Olivier Blin <oblin@mandriva.com> 1.9-1mdv2009.0
+ Revision: 214351
- 1.9
- do not install bootloader on live device (useful for Mandriva Flash)
- get list of files to be removed from
  /etc/draklive-install.d/remove.d/
- do not allow update-menus to create home directory with invalid
  perms
- allow to specify custom copy source in
  /etc/sysconfig/draklive-install
  (to copy unmodified distro from Mandriva Flash)
- clean fstab in the live system (since partitions UUIDs of the
  installed system have been modified)
- remove hds from harddrake config in live system too so that they get
  reconfigured at next reboot
- umount partitions later
  (because g-v-m might have mounted them in the meantime)
- use wrapper to lock media managers during live install
  (not to get popups/automounts about new partitions)

* Thu Apr 03 2008 Olivier Blin <oblin@mandriva.com> 1.8-1mdv2008.1
+ Revision: 192065
- 1.8
- do not crash when no valid devices is found (#36377)

* Fri Mar 21 2008 Olivier Blin <oblin@mandriva.com> 1.6-1mdv2008.1
+ Revision: 189295
- 1.6
- fix unmounting disks in live root
- go on unmounting when one umount fails
- log when umount fails
- sync /var/log in installed root when needed

* Thu Mar 20 2008 Olivier Blin <oblin@mandriva.com> 1.5-1mdv2008.1
+ Revision: 189124
- 1.5
- fix checking that available space is enough

* Thu Mar 20 2008 Olivier Blin <oblin@mandriva.com> 1.4-1mdv2008.1
+ Revision: 189075
- package /etc/draklive-install.d and /etc/draklive-install.d/sysconfig
- 1.4
- check available space before formatting and installing (#22764)
- display error message and exit if install (files copy) failed
  (#22764)
- print an error message when the partitioning fails instead of dying
- run partition step in a loop while errors occur
- detect disks later to make startup faster
- do not hardcode first boot config files, copy them from
  /etc/draklive-install.d/sysconfig
- read live user from /etc/draklive-install.d/user
- add more wait messages
- update advert (from Hilhne)

* Fri Feb 29 2008 Olivier Blin <oblin@mandriva.com> 1.3-1mdv2008.1
+ Revision: 176783
- 1.3
- mount /proc and /sys before install (for mkinitrd to find drivers)
- create devices early to have a consistent root before calling other
  programs (so that /dev/null does not become a plain file when
  accessed by other programs, thanks rtp!)
- don't die when unmounting fails
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 08 2007 Olivier Blin <oblin@mandriva.com> 1.2-1mdv2008.1
+ Revision: 95747
- 1.2
- better fix for mdkonline
- 1.1
- fix reenabling mdkonline after install
- 1.0
- copy rpm db from /tmp/rpm/real if it exists
- do not try to "clean" rpm db anymore

* Sat Oct 06 2007 Olivier Blin <oblin@mandriva.com> 0.9-1mdv2008.0
+ Revision: 95663
- 0.9
- add some padding between ad an progress bar
- rediscover hardddisks at first boot
- remove autologin before first boot and user finish-install's
  USER_AUTOLOGIN_FIRST instead (or else kdm's consolekit support will
  segfault, because we remove the autologin user during xsetup)

* Fri Oct 05 2007 Olivier Blin <oblin@mandriva.com> 0.8-1mdv2008.0
+ Revision: 95633
- 0.8
- update ad
- use xdg-user-dir to detect desktop directory of guest user
  when removing desktop entries
- brute force clean of rpm db to fix draklive-install removal

* Thu Oct 04 2007 Olivier Blin <oblin@mandriva.com> 0.7-1mdv2008.0
+ Revision: 95441
- 0.7
- really fix "reboot needed" warning (#33986)
- umount all partitions before starting install
- remove /etc/modprobe.d/mandriva-live after install

* Fri Sep 28 2007 Olivier Blin <oblin@mandriva.com> 0.6-1mdv2008.0
+ Revision: 93784
- require a new drakxtools version to allow not poping wait messages
- 0.6
- fix "reboot needed" warning (#33986)
- enable mdkonline after install (#34000)
- use new pop_wait_messages option from interactive::gtk
  not to use hack that does not work anymore (made the installer crash)


* Tue Mar 27 2007 Olivier Blin <oblin@mandriva.com> 0.5-1mdv2007.1
+ Revision: 149018
- 0.5: use shared bootloader code (so that resume= is correctly set)
- copy icons in fdo location to make them sharper on the desktop (thanks Titi for the hint)
- 0.4

* Wed Feb 28 2007 Olivier Blin <oblin@mandriva.com> 0.3-1mdv2007.1
+ Revision: 127223
- 0.3 (see NEWS file for details)
- 0.3 (see NEWS file for details)

* Tue Feb 06 2007 Olivier Blin <oblin@mandriva.com> 0.2-1mdv2007.1
+ Revision: 116878
- 0.2
- fix progress bar (#27889)
- use fs::partitioning and fs::partitioning_wizard instead of copying installer code
- allow to run draklive-install at live boot with "install" parameter on the kernel command line (using xsetup.d)
- update/clean menus
- add menu entry (merge commit 86397)
- Import draklive-install

* Wed Sep 20 2006 Olivier Blin <oblin@mandriva.com> 0.1-10mdv2007.0
- reenable crond after live-install

* Sat Sep 16 2006 Olivier Blin <oblin@mandriva.com> 0.1-9mdv2007.0
- detect swap devices so that they can be unmounted
  (thanks Pixel for the debugging, #25538)

* Wed Sep 06 2006 Olivier Blin <oblin@mandriva.com> 0.1-8mdv2007.0
- create /mnt and its top-level-directories (#25137)
- don't grab focus if a window manager is running (#23454) and, as
  a side effect, don't die when switching to another desktop (#23453)

* Fri Jun 16 2006 Olivier Blin <oblin@mandriva.com> 0.1-7mdv2007.0
- remove useless update-menus calls

* Sun Mar 05 2006 Olivier Blin <oblin@mandriva.com> 0.1-6mdk
- allow to use grub as a bootloader (#21318, fix typo)

* Mon Feb 27 2006 Olivier Blin <oblin@mandriva.com> 0.1-5mdk
- updates translations

* Fri Feb 24 2006 Olivier Blin <oblin@mandriva.com> 0.1-4mdk
- make sure the cancel button is available in this pseudo-drakboot-boot
- make the wizard really die when it is cancelled
- use a smaller welcome image

* Fri Feb 24 2006 Olivier Blin <oblin@mandriva.com> 0.1-3mdk
- use correct size for small icon

* Thu Feb 23 2006 Olivier Blin <oblin@mandriva.com> 0.1-2mdk
- make partition tools not fail finding fs tools (#21260)
- update po files

* Fri Dec 16 2005 Olivier Blin <oblin@mandriva.com> 0.1-1mdk
- initial release

